"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BackgroundImg = void 0;
Object.defineProperty(exports, "CloudimageProvider", {
  enumerable: true,
  get: function get() {
    return _provider["default"];
  }
});
exports["default"] = exports.Img = void 0;

require("./polyfills");

var _react = require("react");

var _img = _interopRequireDefault(require("./img"));

var _background = _interopRequireDefault(require("./background"));

var _provider = _interopRequireWildcard(require("./provider"));

var _jsxRuntime = require("react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Img = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  var cloudImageContext = (0, _react.useContext)(_provider.CloudimageContext);
  var callbackRef = (0, _react.useCallback)(function (node) {
    if (node && ref) {
      ref.current = node;
    }
  }, []);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_img["default"], _objectSpread(_objectSpread({
    innerRef: callbackRef
  }, props), {}, {
    config: cloudImageContext.cloudImageConfig
  }));
});
exports.Img = Img;
var BackgroundImg = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  var cloudImageContext = (0, _react.useContext)(_provider.CloudimageContext);
  var callbackRef = (0, _react.useCallback)(function (node) {
    if (node && ref) {
      ref.current = node;
    }
  }, []);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_background["default"], _objectSpread(_objectSpread({
    innerRef: callbackRef
  }, props), {}, {
    config: cloudImageContext.cloudImageConfig
  }));
});
exports.BackgroundImg = BackgroundImg;
var _default = Img;
exports["default"] = _default;